Package org.eclipse.gef.layout

# Interface ILayoutFilter

public interface ILayoutFilter
An `ILayoutFilter` can be used to filter layout objects, so that they are not reported to any `ILayoutAlgorithm`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLayoutIrrelevant(org.eclipse.gef.graph.Edge edge)`
Returns `true` to indicate that the given `Edge` is irrelevant for layout.
`boolean`
`isLayoutIrrelevant(org.eclipse.gef.graph.Node node)`
Returns `true` to indicate that the given `Node` is irrelevant for layout.

## Method Details

### isLayoutIrrelevant

boolean isLayoutIrrelevant(org.eclipse.gef.graph.Edge edge)
Returns `true` to indicate that the given `Edge` is irrelevant for layout. Otherwise returns `false`.

Parameters:
  `edge` - The `Edge` which may be irrelevant for layout.
Returns:
  `true` to indicate that the given `Edge` is irrelevant for layout, otherwise `false`.

### isLayoutIrrelevant

boolean isLayoutIrrelevant(org.eclipse.gef.graph.Node node)
Returns `true` to indicate that the given `Node` is irrelevant for layout. Otherwise returns `false`.

Parameters:
  `node` - The `Node` which may be irrelevant for layout.
Returns:
  `true` to indicate that the given `Node` is irrelevant for layout, otherwise `false`.